Subject: Re: [Chirp] [arch-d] possible new IAB programme on Internet resilience

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Jan 2020 11:16:24 +1300

Answering on the chirp list:

On 16-Jan-20 05:13, Toerless Eckert wrote:
> On Wed, Jan 15, 2020 at 10:07:55AM +0900, Spencer Dawkins at IETF wrote:
>> This was probably true when I joined the IESG in 2013, which seems like
>> just yesterday in IETF timelines, but after the MPLS-in-UDP kerfluffle, the
>> TSV ADs and RTG ADs agreed that for specifications that might not behave
>> well on the open Internet, what we would ask was that these proposals
>> include a description of what safety mechanisms needed to be in place if
>> the protocol being described WAS running over the open Internet.
>>
>> We put together a design team to figure out what to do, and that eventually
>> led to Transport Circuit Breakers, as in https://tools.ietf.org/html/rfc8084,
>> also BCP 208, which built on https://tools.ietf.org/html/rfc7510#section-5,
>> an early example of the kind of "congestion considerations" I'm talking
>> about, and produced by that design team.
>>
>> I agree that this is hard, but it is possible to do better than best effort.
> 
> If i may stay to me naming best effort (BE) Internet traffic as horses then i
> agree that this was very good work to ensure horses will not be harmed
> on 2030 internet highways. Alas, i can not really see what else IETF is doing 
> for a 2030 internet higway to support anything more than horses.

Because horses have proved to be very robust?

What do you think has changed relative to the fundamentals of Baran's analysis in 1962, and the mathematics of queuing theory as applied to networks by Kleinrock in 1974? For that matter, what has changed in Shannon's observation that all communication channels are subject to random noise?

I do agree that in controlled environments we can get ever closer to the Shannon limit, use carefully chosen queuing algorithms, and define robust alternative paths. Otherwise DetNet would be a waste of space. But how can we ever do this outside a controlled environment?

    Brian

> 
> [rant]
> I really wished the IETF would wake up to the need to not only bother about
> horses and work more on better than BE modes of transport for those future networks.
> CC work is still regurgitating the "all flows are equal" mantra and "we don't
> define exactly what equal means", and we know forever this is not sufficient.
> DetNet is already a decade behind IEEE TSN without any ability to build products,
> IP doesn't even have all the pieces to support it (only MPLS), switched ethernets 
> networks widely replacing IP networks in growth markets such as metropolitan
> networks, any form of traffic differentiation is immediately faced with more
> "net neutrality" misinterpretation in the IETF than encouragement to actually
> work on it, and the expectation of the IETF for new work to adopt itself
> to the historic structure of the IETF, its magically closed IAB, fine
> grained subdivision of work across WGs and the like is just mindboggingly
> unhelpful to strategic future work.
> [/rant]
> 
> Cheers
>     Toerless
> 
>> Best,
>>
>> Spencer
>>
>>
>>> To me, this is really like asking new transportation standards to explain
>>> how
>>> they are compatible with horse manure because horses are still the
>>> golden standard for transportation.  So we continuously reinforce this
>>> historic
>>> lowest common denominator and do not encourage really systematically
>>> the value proposition of better quality/resilience network infrastructures.
>>>
>>> Toerless
>>>
>>> _______________________________________________
>>> Architecture-discuss mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/architecture-discuss
>>>
> 
>> _______________________________________________
>> Architecture-discuss mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/architecture-discuss
> 
>

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 23 Jan 2020 23:55:36 +0100

> Because horses have proved to be very robust?

Because networks with just best effort are dirt roads and cars wouldn't
be able to drive faster on them ;-)

> What do you think has changed relative to the fundamentals of Baran's analysis in 1962, and the mathematics of queuing theory as applied to networks by Kleinrock in 1974?

Bounded latency from Rene Cruz 1991 leading to guaranteed services in
IETF in mid 90th, TSN in 2010, DetNet still slowly moving trying to
reinvent the same wheel without being given enough freedom to innovate
on the protocol stack. Continental drift is faster.

Congestion control research over the past 20 years, understanding how we
can do better more equal or policy defined inequal bandwidth
management.

Much more powerful high-speed forwarding planes and scheduling hardware
than e.g.: 1990th ATM switches or even 2010 best-in-class-routers.

I could go on and on, but that sidebar of mine you're referring to
wasn't specifically targeted to resilience, so maybe we should take
this back to arch-d instead of chirp.

> For that matter, what has changed in Shannon's observation that all communication channels are subject to random noise?

Fiber links, high performance L1/L2 FEC, non-blocking forwarding
favbrics. Outside of radio and IoT, you pretty much can get to
< 10^-12 loss thats not controllable by scheduling/queuing policies.
Even long Internet paths.

Not quite sure why these questions/answers where relevant for my
original rant, but of course i am happy to answer ;-)

> I do agree that in controlled environments we can get ever closer to the Shannon limit, use carefully chosen queuing algorithms, and define robust alternative paths. Otherwise DetNet would be a was…

In my simple abstraction, anything where a wide-area transit SP is involved is
uncontrolled. Whenever it is not, the use-case can be a controlled
environment given the right technologies.

I think we will get more and more controlled environments. What i would
like to call the future Internet Fronthaul is IMHO between users/devices
and edge-data-centers, aka: metropolitan size networks. Thats where
latency is low and has different criticality to different type of
traffic. Thats where we can likely get > 90% of traffic paths to not
use any wide-area transit, so networks passed will have contracts with
either end of the communication, allowing to have business models for
all those better-than-best effort services - including higher resilience
(to stay on chirp topic).

Shannon limit is not of interest to these aspects IMHO, but rather
service/contrat differentiation of different type of network traffic.
Shannon limit may be of interest in aspects of congestion/flow-control,
which still has issues with high-capacity network path.
I call this controlled environments.

Cheers
    Toerless